/*
   HARK Library
   Copyright (C) 2021 Honda Research Institute Japan Inc.
 */

#include "hark-lib/node/Print.h"

namespace hark
{
namespace node
{
    Print::Print():
        NodeDef("Print")
    {
        *this
            << Terminal::in("INPUT");
    }

    void
    Print::reset()
    {
    }

    bool
    Print::operator () (size_t count, InputDataBundle &input, OutputDataBundle &output)
    {
        std::cout << input["INPUT"].last() << std::endl;
        return true;
    }
}
}

/* end of file */
